Get account statements
curl --request GET \
--url https://{host}/bonus/v1/accounts/{accountId}/detailed-statements \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/bonus/v1/accounts/{accountId}/detailed-statements"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/bonus/v1/accounts/{accountId}/detailed-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"transactionId": 123,
"entryId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"settlementDate": "2023-11-07T05:31:56Z",
"state": "Waiting",
"amount": 123,
"type": "<string>",
"partitionType": "<string>",
"balance": 123,
"metadata": {}
}
],
"nextCursor": 123
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get account statements
Get detailed statements of an account based on account Id. The sort of statements is done in descending order based on the creation date. The statements includes running balance and all partitions.
GET
/
v1
/
accounts
/
{accountId}
/
detailed-statements
Get account statements
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The id of account
Query Parameters
Items count to take
Required range:
1 <= x <= 2147483647Pointer to a specific item in the data set received from the previous request
Required range:
1 <= x <= 9223372036854776000Option to disable running balance calculation if not needed
Last modified on August 10, 2026